apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: emrv2-stag-psc-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
    nginx.ingress.kubernetes.io/enable-owasp-core-rules: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: "32m"
spec:
  tls:
  - hosts:
    - hub-dev.vaultdragon.com
    - hub-api-dev.vaultdragon.com
    - hub-staging.vaultdragon.com
    - hub-api-staging.vaultdragon.com
    secretName: vaultdragon.com
  rules:
  - host: hub-staging.vaultdragon.com
    http:
      paths:
      - backend:
          serviceName: emrv2-stag-fe-service
          servicePort: 8000
  - host: hub-api-staging.vaultdragon.com
    http:
      paths:
      - backend:
          serviceName: emrv2-stag-api-service
          servicePort: 3000
  - host: hub-dev.vaultdragon.com
    http:
      paths:
      - backend:
          serviceName: emrv2-dev-fe-service
          servicePort: 8001
  - host: hub-api-dev.vaultdragon.com
    http:
      paths:
      - backend:
          serviceName: emrv2-dev-api-service
          servicePort: 3001